# std::tr1::__shared_count< _Lp > Class Template Reference

List of all members.

## Detailed Description

### template<_Lock_policy _Lp = __default_lock_policy>
class std::tr1::__shared_count< _Lp >

Definition at line 103 of file tr1/boost_sp_shared_count.h.

## Public Member Functions

- __shared_count (const __shared_count &__r)
- __shared_count (const __weak_count< _Lp > &__r)
- template<typename _Tp> __shared_count (std::auto_ptr< _Tp > &__r)
- template<typename _Ptr, typename _Deleter> __shared_count (_Ptr __p, _Deleter __d)
- template<typename _Ptr> __shared_count (_Ptr __p)
- __shared_count ()
- void * _M_get_deleter (const std::type_info &__ti) const
- long _M_get_use_count () const
- void _M_swap (__shared_count &__r)
- bool _M_unique () const
- __shared_count & operator= (const __shared_count &__r)
- ~__shared_count ()

## Friends

- class __weak_count< _Lp >
- bool operator< (const __shared_count &__a, const __shared_count &__b)
- bool operator== (const __shared_count &__a, const __shared_count &__b)

The documentation for this class was generated from the following file:

- tr1/boost_sp_shared_count.h